package pp.monopoly.model.fields;

import pp.monopoly.game.server.Player;

abstract class Field {
    protected final String name;
    protected final int id;

    protected Field(String name, int id) {
        this.name = name;
        this.id= id;
    }

    public abstract void accept(Player player);

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }
}
